Bug 481802 - kdebluetooth-0.3
kdebluetooth-0.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebluetooth (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lorenzo Villani
Fedora Extras Quality Assurance
:
Depends On: kde42 481801
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 12:36 EST by Rex Dieter
Modified: 2009-02-19 06:42 EST (History)
4 users (show)

See Also:
Fixed In Version: KDE 4.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 06:42:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 172267 None None None Never

  None (edit)
Description Rex Dieter 2009-01-27 12:36:24 EST
Per recent mail discussions around,
http://bugs.kde.org/show_bug.cgi?id=172267#c20 

Our local bug #481801 is tracking the progress is integrated the aforementioned solid patches.
Comment 1 Rex Dieter 2009-01-28 12:17:21 EST
Gilboa, et al, could you try building the newer kdebluetooth against stock kde-4.2 (already in F-9/F-10 koji buildroots), and see how things go?

Than questions the need or wisdom of the solid patches (and I do too, to some extent), bug #481801
Comment 2 Ville Skyttä 2009-01-28 12:59:01 EST
Blindfolded dist-f10-updates-candidate scratch build failed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1089286

Sources for this build are in devel/ in CVS (untagged).
Comment 3 Kevin Kofler 2009-01-29 12:15:50 EST
Please note that F9 has the old BlueZ 3, so we do NOT want this update on F9, only on F10 and higher.
We need matching versions of the Solid Bluetooth API. Unfortunately, the one in KDE 4.2 seems to be a broken intermediate version which works with no version of kdebluetooth.
Comment 4 Rex Dieter 2009-01-29 15:43:16 EST
Got kdebase-workspace-4.2.0-3 and newer to contain the solid patches, and touched up kdebluetooth/devel a bit for the newly introduced
solid-bluetooth , solid-bluetooth-devel
items Provided by kdebase-workspace, and if all goes well,
https://koji.fedoraproject.org/koji/buildinfo?buildID=80804
should be a winner.  And by winner, I mean to say that it builds.  

Some runtime testing will certainly be required of course. :)
Comment 5 Rex Dieter 2009-01-29 15:53:46 EST
OK, F-10 buildroot is ready now too, I've leave handling of an F-10 build to you.

We can bundle the kdebluetooth-0.3 with the kde-4.2.0 update if you want.
Comment 6 Kevin Kofler 2009-01-29 16:34:14 EST
We pretty much have to, 0.2 doesn't work with KDE 4.2.
Comment 7 Kevin Kofler 2009-01-29 16:56:17 EST
(except with the patched 4.2 build I built for F9, which has the old Solid Bluetooth stuff from 4.1.4)
Comment 8 Fedora Update System 2009-02-04 21:26:45 EST
kdeutils-4.2.0-1.fc10, kdetoys-4.2.0-1.fc10, kdesdk-4.2.0-1.fc10, kdeplasma-addons-4.2.0-1.fc10, kdepimlibs-4.2.0-1.fc10, kdepim-4.2.0-2.fc10, kdenetwork-4.2.0-2.fc10, kdemultimedia-4.2.0-1.fc10.1, kdegraphics-4.2.0-1.fc10, kdegames-4.2.0-1.fc10, kdeedu-4.2.0-2.fc10, kdebase-runtime-4.2.0-3.fc10, kdebase-4.2.0-2.fc10, kdebindings-4.2.0-1.fc10, kdeartwork-4.2.0-1.fc10, kdeadmin-4.2.0-1.fc10.1, kdeaccessibility-4.2.0-1.fc10, soprano-2.2.1-1.fc10, strigi-0.6.3-1.fc10, akonadi-1.1.1-1.fc10, automoc-1.0-0.11.rc3.fc10, compiz-0.7.8-7.fc10, kde-settings-4.1-5.20090126svn.fc10, kde-plasma-runcommand-1.0-1.fc10, kde-plasma-quickaccess-0.7.1-7.fc10, kdebluetooth-0.3-1.fc10, kde-i18n-3.5.10-2.fc10, krazy2-2.8-7.20090127svn.fc10, phonon-4.3.0-5.fc10, kde-l10n-4.2.0-2.fc10, kdelibs-4.2.0-7.fc10, kdebase-workspace-4.2.0-4.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdetoys kdesdk kdeplasma-addons kdepimlibs kdepim kdenetwork kdemultimedia kdegraphics kdegames kdeedu kdebase-runtime kdebase kdebindings kdeartwork kdeadmin kdeaccessibility soprano strigi akonadi automoc compiz kde-settings kde-plasma-runcommand kde-plasma-quickaccess kdebluetooth kde-i18n krazy2 phonon kde-l10n kdelibs kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1387
Comment 9 Fedora Update System 2009-02-06 00:23:50 EST
kdeutils-4.2.0-1.fc10, kdetoys-4.2.0-1.fc10, kdesdk-4.2.0-1.fc10, kdeplasma-addons-4.2.0-1.fc10, kdepimlibs-4.2.0-1.fc10, kdepim-4.2.0-2.fc10, kdenetwork-4.2.0-2.fc10, kdemultimedia-4.2.0-1.fc10.1, kdegraphics-4.2.0-1.fc10, kdegames-4.2.0-1.fc10, kdebase-runtime-4.2.0-3.fc10, kdebase-4.2.0-2.fc10, kdebindings-4.2.0-1.fc10, kdeartwork-4.2.0-1.fc10, kdeadmin-4.2.0-1.fc10.1, kdeaccessibility-4.2.0-1.fc10, soprano-2.2.1-1.fc10, strigi-0.6.3-1.fc10, akonadi-1.1.1-1.fc10, automoc-1.0-0.11.rc3.fc10, compiz-0.7.8-7.fc10, kde-settings-4.1-5.20090126svn.fc10, kde-plasma-runcommand-1.0-1.fc10, kde-plasma-quickaccess-0.7.1-7.fc10, kdebluetooth-0.3-1.fc10, kde-i18n-3.5.10-2.fc10, krazy2-2.8-7.20090127svn.fc10, phonon-4.3.0-5.fc10, kdelibs-4.2.0-9.fc10, kdeedu-4.2.0-5.fc10, kde-l10n-4.2.0-2.fc10, kdebase-workspace-4.2.0-4.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdetoys kdesdk kdeplasma-addons kdepimlibs kdepim kdenetwork kdemultimedia kdegraphics kdegames kdebase-runtime kdebase kdebindings kdeartwork kdeadmin kdeaccessibility soprano strigi akonadi automoc compiz kde-settings kde-plasma-runcommand kde-plasma-quickaccess kdebluetooth kde-i18n krazy2 phonon kdelibs kdeedu kde-l10n kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1387
Comment 10 Fedora Update System 2009-02-07 17:20:46 EST
kdeutils-4.2.0-1.fc10, kdetoys-4.2.0-1.fc10, kdesdk-4.2.0-1.fc10, kdeplasma-addons-4.2.0-1.fc10, kdepimlibs-4.2.0-1.fc10, kdepim-4.2.0-2.fc10, kdenetwork-4.2.0-2.fc10, kdemultimedia-4.2.0-1.fc10.1, kdegraphics-4.2.0-1.fc10, kdegames-4.2.0-1.fc10, kdebase-runtime-4.2.0-3.fc10, kdebase-4.2.0-2.fc10, kdebindings-4.2.0-1.fc10, kdeartwork-4.2.0-1.fc10, kdeadmin-4.2.0-1.fc10.1, kdeaccessibility-4.2.0-1.fc10, soprano-2.2.1-1.fc10, strigi-0.6.3-1.fc10, akonadi-1.1.1-1.fc10, automoc-1.0-0.11.rc3.fc10, compiz-0.7.8-7.fc10, kde-plasma-runcommand-1.0-1.fc10, kde-plasma-quickaccess-0.7.1-7.fc10, kdebluetooth-0.3-1.fc10, kde-i18n-3.5.10-2.fc10, krazy2-2.8-7.20090127svn.fc10, kde-settings-4.1-6.20090206svn.fc10, phonon-4.3.0-5.fc10, kdelibs-4.2.0-9.fc10, kdeedu-4.2.0-5.fc10, kde-l10n-4.2.0-2.fc10, kdebase-workspace-4.2.0-4.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdetoys kdesdk kdeplasma-addons kdepimlibs kdepim kdenetwork kdemultimedia kdegraphics kdegames kdebase-runtime kdebase kdebindings kdeartwork kdeadmin kdeaccessibility soprano strigi akonadi automoc compiz kde-plasma-runcommand kde-plasma-quickaccess kdebluetooth kde-i18n krazy2 kde-settings phonon kdelibs kdeedu kde-l10n kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1387
Comment 11 Fedora Admin XMLRPC Client 2009-02-17 14:17:37 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.